<layout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>
        <import type="androidx.databinding.ObservableList"/>
        <variable name="view" type="it.integry.integrywmsnative.gest.prod_accettazione_ord_produzione.ProdOrdineProduzioneElencoFragment" />
    </data>

    <FrameLayout
        xmlns:tools="http://schemas.android.com/tools"
        xmlns:fab="http://schemas.android.com/apk/res-auto"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/full_white"
        tools:context="it.integry.integrywmsnative.gest.prod_accettazione_ord_produzione.ProdOrdineProduzioneElencoFragment">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/ordine_produzione_main_list"
                android:scrollbars="vertical"
                android:layout_width="match_parent"
                android:layout_height="match_parent"/>


            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/ordini_produzione_empty_view"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:alpha="0.3">

                <androidx.constraintlayout.widget.Guideline
                    android:id="@+id/guideline_empty_top"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"
                    app:layout_constraintGuide_percent="0.2" />

                <androidx.constraintlayout.widget.Guideline
                    android:id="@+id/guideline_empty_left"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    app:layout_constraintGuide_percent="0.15" />

                <androidx.constraintlayout.widget.Guideline
                    android:id="@+id/guideline_empty_right"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    app:layout_constraintGuide_percent="0.85" />

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:gravity="center_horizontal"
                    android:orientation="vertical"
                    app:layout_constraintEnd_toStartOf="@id/guideline_empty_right"
                    app:layout_constraintStart_toEndOf="@id/guideline_empty_left"
                    app:layout_constraintTop_toTopOf="@id/guideline_empty_top">

                    <androidx.appcompat.widget.AppCompatImageView
                        android:layout_width="72dp"
                        android:layout_height="wrap_content"
                        android:adjustViewBounds="true"
                        android:src="@drawable/ic_playlist_add_check_24dp" />

                    <androidx.appcompat.widget.AppCompatTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:gravity="center_horizontal"
                        android:text="@string/no_orders_found_message"
                        android:textColor="@android:color/black"
                        android:textSize="18sp" />
                </LinearLayout>

            </androidx.constraintlayout.widget.ConstraintLayout>

        </RelativeLayout>

        <com.google.android.material.floatingactionbutton.FloatingActionButton
            android:id="@+id/ordine_produzione_main_fab"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="bottom|end"
            android:layout_margin="@dimen/fab_margin"
            android:onClick="@{() -> view.dispatchOrders()}"
            android:tint="@android:color/white"
            app:srcCompat="@drawable/ic_check_black_24dp"
            app:visibility="@{view.fabVisible}" />
    </FrameLayout>

</layout>